Name:           nodejs-tilelive
Version:        4.5.3
Release:        3%{?dist}
Summary:        Frontend for various tile backends, mapnik and mbtiles

License:        BSD
URL:            https://github.com/mapbox/tilelive.js
Source0:        http://registry.npmjs.org/tilelive/-/tilelive-%{version}.tgz
# https://github.com/mapbox/tilelive.js/pull/67
Patch0:         nodejs-tilelive-copy.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mbtiles)
BuildRequires:  npm(mocha)
BuildRequires:  npm(sphericalmercator)
BuildRequires:  npm(step)
BuildRequires:  npm(tilejson)
BuildRequires:  npm(underscore)

%description
Tilelive is an interface for tilestore modules for Node.js. It defines
an API to interact with implementations for a particular tile store.


%prep
%setup -q -n package
%patch0 -p1
%nodejs_fixdep optimist "~0.4.0"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/tilelive
cp -pr package.json bin lib %{buildroot}/%{nodejs_sitelib}/tilelive
mkdir -p %{buildroot}/%{_bindir}
ln -sf %{nodejs_sitelib}/tilelive/bin/copy %{buildroot}/%{_bindir}/tilelive-copy
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha -R spec -t 10000


%files
%doc LICENSE README.md CHANGELOG.md API.md examples
%{nodejs_sitelib}/tilelive
%{_bindir}/tilelive-copy


%changelog
* Sun Jun  8 2014 Tom Hughes <tom@compton.nu> - 4.5.3-3
- Patch tests for changes caused by sqlite

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Dec  5 2013 Tom Hughes <tom@compton.nu> - 4.5.3-1
- Update to 4.5.3 upstream release

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 4.5.2-1
- Update to 4.5.2 upstream release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 15 2013 Tom Hughes <tom@compton.nu> - 4.5.0-1
- Update to 4.5.0 upstream release
- Update to latest nodejs packaging standards

* Wed May 29 2013 Tom Hughes <tom@compton.nu> - 4.4.3-3
- Apply optimist patch

* Sun May 26 2013 Tom Hughes <tom@compton.nu> - 4.4.3-2
- Correct path in tilelive-copy link
- Update optimist dependency

* Mon Apr 29 2013 Tom Hughes <tom@compton.nu> - 4.4.3-1
- Update to 4.4.3 upstream release

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 4.3.3-1
- Initial build of 4.3.3
